REST Documentation

View InboundXML Docs

Authorize Destination

Used to authorize previously blocked destinations for outbound calls and sms messages. Authorize is only meant to provide temporary permission: see the whitelist docs if you want to permanently enable a destinations. Unless extended, authorized destination will expire after 30 days. For examples of valid country codes to use in the request URL see this article.

Request URI

To authorized a destination, make a requested to TelAPI using the HTTP POST method. The format of the URI used to make the POST request is below.

POST https://api.telapi.com/v1/Accounts/{AccountSid}/Fraud/Authorize/{CountryCode}

Parameters

The parameters below are used to specify the authorize request behavior.

Parameter Description
optional
Mobile status for the destination. If false, all mobile call activity will be rejected or disabled.
Default Value:
true
Allowed Value:
true or false
optional
Landline status for the destination. If false, all landline call activity will be rejected or disabled.
Default Value:
true
Allowed Value:
true or false
optional
SMS status for the destination. If false, all SMS activity will be rejected or disabled.
Default Value:
true
Allowed Value:
true or false

Example Response

An example of what a request response may look like when authorizing a destination is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.